/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';

.feedbackMessage {
  &__container {
    display: flex;
    align-items: center;
    column-gap: 0.4rem;

    &.--hide {
      display: none;
    }

    &.--show {
      display: flex;
    }

    &__icon {
      &.--success {
        color: $success;
      }

      &.--pending {
        color: $idle;
      }

      &.--info {
        color: $info;
      }

      &.--error {
        color: $error-color;
      }

      &.--warning {
        color: $coa-yellow-100;
      }
    }
  }
}
